org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf

## Class PDTableAttributeObject

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject
    - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject
      - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDTableAttributeObject

All Implemented Interfaces:
  COSObjectable

    public class PDTableAttributeObject
    extends PDStandardAttributeObject

A Table attribute object.

Author:
  Johannes Koch

### Field Summary

Fields
`protected static String` `COL_SPAN`
`protected static String` `HEADERS`
`static String` `OWNER_TABLE` standard attribute owner: Table
`protected static String` `ROW_SPAN`
`protected static String` `SCOPE`
`static String` `SCOPE_BOTH` Scope: Both
`static String` `SCOPE_COLUMN` Scope: Column
`static String` `SCOPE_ROW` Scope: Row
`protected static String` `SUMMARY`

### Fields inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject

`UNSPECIFIED`

### Constructor Summary

Constructors
Constructor and Description
`PDTableAttributeObject()` Default constructor.
`PDTableAttributeObject(COSDictionary dictionary)` Creates a new Table attribute object with a given dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColSpan()` Gets the number of columns in the enclosing table that shall be spanned by the cell (ColSpan).
`String[]` `getHeaders()` Gets the headers (Headers).
`int` `getRowSpan()` Gets the number of rows in the enclosing table that shall be spanned by the cell (RowSpan).
`String` `getScope()` Gets the scope (Scope).
`String` `getSummary()` Gets the summary of the table’s purpose and structure.
`void` `setColSpan(int colSpan)` Sets the number of columns in the enclosing table that shall be spanned by the cell (ColSpan).
`void` `setHeaders(String[] headers)` Sets the headers (Headers).
`void` `setRowSpan(int rowSpan)` Sets the number of rows in the enclosing table that shall be spanned by the cell (RowSpan).
`void` `setScope(String scope)` Sets the scope (Scope).
`void` `setSummary(String summary)` Sets the summary of the table’s purpose and structure.
`String` `toString()`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject

`getArrayOfString, getColor, getColorOrFourColors, getInteger, getName, getName, getNameOrArrayOfName, getNumber, getNumber, getNumberOrArrayOfNumber, getNumberOrName, getString, isSpecified, setArrayOfName, setArrayOfNumber, setArrayOfString, setColor, setFourColors, setInteger, setName, setNumber, setNumber, setString`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject

`arrayToString, arrayToString, create, getOwner, isEmpty, notifyChanged, potentiallyNotifyChanged, setOwner, setStructureElement`

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`equals, getCOSObject, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OWNER_TABLE

    public static final String OWNER_TABLE

standard attribute owner: Table

See Also:
  Constant Field Values

#### ROW_SPAN

    protected static final String ROW_SPAN

See Also:
  Constant Field Values

#### COL_SPAN

    protected static final String COL_SPAN

See Also:
  Constant Field Values

#### HEADERS

    protected static final String HEADERS

See Also:
  Constant Field Values

#### SCOPE

    protected static final String SCOPE

See Also:
  Constant Field Values

#### SUMMARY

    protected static final String SUMMARY

See Also:
  Constant Field Values

#### SCOPE_BOTH

    public static final String SCOPE_BOTH

Scope: Both

See Also:
  Constant Field Values

#### SCOPE_COLUMN

    public static final String SCOPE_COLUMN

Scope: Column

See Also:
  Constant Field Values

#### SCOPE_ROW

    public static final String SCOPE_ROW

Scope: Row

See Also:
  Constant Field Values

### Constructor Detail

#### PDTableAttributeObject

    public PDTableAttributeObject()

Default constructor.

#### PDTableAttributeObject

    public PDTableAttributeObject(COSDictionary dictionary)

Creates a new Table attribute object with a given dictionary.

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### getRowSpan

    public int getRowSpan()

Gets the number of rows in the enclosing table that shall be spanned by the cell (RowSpan). The default value is 1.

Returns:
  the row span

#### setRowSpan

    public void setRowSpan(int rowSpan)

Sets the number of rows in the enclosing table that shall be spanned by the cell (RowSpan).

Parameters:
  `rowSpan` - the row span

#### getColSpan

    public int getColSpan()

Gets the number of columns in the enclosing table that shall be spanned by the cell (ColSpan). The default value is 1.

Returns:
  the column span

#### setColSpan

    public void setColSpan(int colSpan)

Sets the number of columns in the enclosing table that shall be spanned by the cell (ColSpan).

Parameters:
  `colSpan` - the column span

#### getHeaders

    public String[] getHeaders()

Gets the headers (Headers). An array of byte strings, where each string shall be the element identifier (see the `PDStructureElement.getElementIdentifier()`) for a TH structure element that shall be used as a header associated with this cell.

Returns:
  the headers.

#### setHeaders

    public void setHeaders(String[] headers)

Sets the headers (Headers). An array of byte strings, where each string shall be the element identifier (see the `PDStructureElement.getElementIdentifier()`) for a TH structure element that shall be used as a header associated with this cell.

Parameters:
  `headers` - the headers

#### getScope

    public String getScope()

Gets the scope (Scope). It shall reflect whether the header cell applies to the rest of the cells in the row that contains it, the column that contains it, or both the row and the column that contain it.

Returns:
  the scope

#### setScope

    public void setScope(String scope)

Sets the scope (Scope). It shall reflect whether the header cell applies to the rest of the cells in the row that contains it, the column that contains it, or both the row and the column that contain it. The value shall be one of the following:

- `SCOPE_ROW`,
- `SCOPE_COLUMN`, or
- `SCOPE_BOTH`.

Parameters:
  `scope` - the scope

#### getSummary

    public String getSummary()

Gets the summary of the table’s purpose and structure.

Returns:
  the summary

#### setSummary

    public void setSummary(String summary)

Sets the summary of the table’s purpose and structure.

Parameters:
  `summary` - the summary

#### toString

    public String toString()

Overrides:
  `toString` in class `PDAttributeObject`